@echo off
echo PECD2HD.CMD - Installer Windows PE du CD-Rom sur le disque dur
echo Copyright (c) 2003 Bart Lagerweij. All rights reserved.
echo This program is free software. Use and/or distribute it under
echo the terms of the Nu2 License (see nu2lic.txt file).
echo Traduction Francaise par Sverin Terrier.
setlocal
echo.
echo Verifie si on execute WinPE...
reg.exe query HKLM\system\controlset001\control\minint >nul 2>&1
if errorlevel 1 goto _nowinpe
echo Verifie une installation precedente...
if exist c:\minint\nul goto _exist
:_fresh
echo Listing de disque(s) et details du disque 0...
diskpart.exe /s "%~dpn02.scr" 
if errorlevel 1 goto _abort
echo.
echo Voulez vous installer Windows PE depuis le lecteur %systemdrive% vers le disque 0 ?
echo -- ATTENTION, CELA EFFACERA TOUTES LES PARTITIONS
echo    ET DONNEES DE VOTRE PREMIER DISQUE DUR ! --
echo.
set _ok=
set /p _ok=Pour continuer tapez "OUI" (en majuscules, sans guillemets) :
if "%_ok%" == "OUI" goto _insthd
echo Vous avez tape "%_OK%", abandon...
goto _end
:_nowinpe
echo.
echo Non demarre depuis Windows PE, abandon...
goto _end
:_exist
echo WinPE est deja installe sur C:\
echo En reinstallant, seuls les fichiers seront recopies.
echo La partition/volume ne sera pas reformatee !
echo.
set _ok=
echo Voulez-vous reinstaller ?
set /p _ok=Tapez "o" pour Oui, "n" pour Non, "f" pour reinstallation avec formatage [O/N/F] :
if "%_ok%" == "O" goto _inst
if "%_ok%" == "o" goto _inst
if "%_ok%" == "N" goto _end
if "%_ok%" == "n" goto _end
if "%_ok%" == "F" goto _fresh
if "%_ok%" == "f" goto _fresh
:_insthd
echo.
echo Creation d'une partition NTFS sur le disque 0
diskpart.exe /s "%~dpn01.scr" 
if errorlevel 1 goto _abort
echo Formatage de C:
format c: /fs:ntfs /v:winpe /q /force
if errorlevel 1 goto _abort
:_inst
echo Installation des fichiers de WinPE du lecteur %systemdrive% vers C:\

call :_copy i386 minint
if errorlevel 1 goto _abort
call :_copy programs programs
if errorlevel 1 goto _abort

copy %systemdrive%\winbom.ini c:\winbom.ini
if errorlevel 1 goto _abort
copy c:\minint\ntdetect.com c:\
if errorlevel 1 goto _abort
copy c:\minint\setupldr.bin c:\ntldr
if errorlevel 1 goto _abort
set _profile=
for /f "tokens=2 delims=\" %%i in ("%ALLUSERSPROFILE%") do set _profile=%%i
if "%_profile%" == "" (
	echo Repertoire de profil [%ALLUSERSPROFILE%] introuvable
	goto _abort)
echo Copie du repertoire %_profile% ...
call :_copy "%_profile%" "%_profile%"
echo.
echo Installation terminee...
goto _end
:_copy
if "%~1" == "" goto :eof
if "%~2" == "" goto :eof
if not exist "%systemdrive%\%~1" goto :eof
if exist "c:\%~1\nul" (
	echo Suppression de c:\%~1
	rmdir /s /q "c:\%~1\")
echo Copie des fichiers de "%systemdrive%\%~1" vers "c:\%~2"
xcopy /e /s "%systemdrive%\%~1\*.*" "c:\%~2\"
goto :eof
:_abort
echo.
echo [Annule...]
pause
:_end
endlocal
echo.
echo [PECD2HD.CMD termine]
pause
